<template>
<div>
  <div class="login-box pw-reset">
  <div class="logo"></div>
  <div class="wbox">
    <h3 class="title">비밀번호 초기화</h3>
      <ul class="login-form">
        <li><input type="text" placeholder="아이디를 입력하세요" v-model="userId"></li>
        <li>
          <button class="btn-pcolor" @click="ajaxReset">비밀번호 초기화 문자 발송하기</button>
          <button class="btn-default" @click="clickMenu('/login')">닫기</button>
        </li>
      </ul>
    <div class="login-notice">
      <ul>
        <li>초기화된 비밀번호는 등록된 휴대폰 문자메시지로 발송됩니다.</li>
        <li>휴대폰 번호 변경 시 관리자로 문의해주세요.</li>
      </ul>
    </div>
  </div>
</div>
      <common-modal ref="commonModal"></common-modal>
      <login-popup ref="LoginPopup"> </login-popup>
</div>


</template>

<script>
import api from '../service/api';
import LoginPopup from '@/components/LoginPopup.vue';
import commonModal from "../components/commonModal";

export default {
  name: 'resetPassword',
  data: function() {
      return {
          errors: [],
          userId: '',
          row:{},
      }
  },
  created() {
    this.$store.commit("login/isLogin", true);
    this.$store.commit("login/isAuthChk", false);
  },
  components: {
    LoginPopup,
    commonModal,
  },
  methods: {
  async ajaxReset(){
    var vm = this;
    if (!this.userId) {
      this.row.title = '아이디 오류';
      this.row.msg1 = '아이디를 입력해 주세요.';
      this.$refs.commonModal.alertModalOpen(this.row);
      return false;
    }
    var params =
    {
        "userId": this.userId
    }
    try {
      const response = await api.resetPassword(params)
      const rsp = response.data;

      if(rsp.retCode == '0000'){
        this.row.title = '비밀번호 초기화';
        this.row.msg1 = '해당 아이디에 저장되어 있는 핸드폰번호로';
        this.row.msg2 = '비밀번호 초기화 문자가 발송되었습니다.';
        this.row.callFnc = 'login'
        vm.$store.commit("login/isLogin", false);
        vm.$store.commit("login/isAuthChk", false);
        this.$refs.commonModal.alertModalOpen(this.row);

      } else if(rsp.retCode == '4003') {
        this.row.title = '비밀번호 초기화';
        this.row.msg1 = '등록되지 않은 아이디입니다.';
        this.row.msg2 = '아이디를 다시 확인하세요.';
        this.$refs.commonModal.alertModalOpen(this.row);
      }
  } catch(err) {
      this.row.title = '비밀번호 초기화';
      this.row.msg1 = '실패 하였습니다.';
      this.$refs.commonModal.alertModalOpen(this.row);
      return false;
    }
    },
    clickMenu(link) {
        this.$router.push({path: link});
    },

    ModalOpen: function(target){
     this.$refs.LoginPopup.ModalOpen(target);
    },
    alertCalbackFnc(callFnc){
      if(callFnc === 'login'){
        this.$router.push({ name: 'login',params: {}});
      }
    },
  }
}
</script>

<style></style>